<html devsite><head>
    <title>Nexus 安全公告 - 2016 年 1 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>发布时间：2016 年 1 月 4 日 | 更新时间：2016 年 4 月 28 日</em></p>

<p>在每月发布 Android 安全公告的同时，我们都通过无线下载 (OTA) 更新的方式发布了针对 Nexus 设备的安全更新。我们还在 <a href="https://developers.google.com/android/nexus/images">Google Developers 网站</a>上发布了 Nexus 固件映像。安全补丁程序级别为 2016 年 1 月 1 日或更新的 Android L（LMY49F 或更高细分版本）和 Android 6.0 都已解决本公告中所述的问题。如需了解详情，请参阅<a href="#common_questions_and_answers">常见问题和解答</a>部分。</p>

<p>合作伙伴在 2015 年 12 月 7 日或之前就已收到关于本公告中所述问题的通知和更新。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中（如果适用）。</p>

<p>这些问题中危险性最高的是一个严重程度为“严重”的安全漏洞。当系统处理媒体文件时，攻击者可以利用该漏洞通过多种方式（例如电子邮件、网页浏览和彩信等）在受影响的设备上远程执行代码。<a href="/security/overview/updates-resources.html#severity">严重程度评估</a>的依据是漏洞被利用后可能会对受影响的设备造成的影响（假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用）。</p>

<p>尚未有人向我们举报过有用户主动利用这些新报告的问题。请参阅<a href="#mitigations">缓解措施</a>部分，详细了解有助于提高 Android 平台安全性的 <a href="/security/enhancements/index.html">Android 安全平台防护功能</a>和服务防护功能（如 SafetyNet）。我们建议所有用户都在自己的设备上接受这些更新。</p>

<h2 id="mitigations">缓解措施</h2>

<p>这一部分总结了 <a href="/security/enhancements/index.html">Android 安全平台</a>和服务防护功能（如 SafetyNet）提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。</p>

<ul>
  <li>较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。
  </li><li>Android 安全团队会积极利用“验证应用”功能和 SafetyNet 监控滥用行为，这些功能会在用户要安装可能有害的应用时发出警告。Google Play 中禁止提供能够获取设备 root 权限的工具。为了保护从 Google Play 以外的来源安装应用的用户，“验证应用”功能会默认处于启用状态，并会在用户要安装能够获取 root 权限的已知应用时警告用户。“验证应用”功能会尝试识别并阻止用户安装会利用提权漏洞的已知恶意应用。如果用户已安装此类应用，那么“验证应用”功能将会通知用户并尝试移除所有此类应用。
  </li><li>由于已做了适当更新，因此 Google 环聊和 Messenger 应用不会自动将媒体内容传递给 Mediaserver 之类的进程。
</li></ul>

<h2 id="acknowledgements">致谢</h2>

<p>我们衷心感谢以下研究人员做出的贡献：</p>

<ul>
  <li>Google Chrome 安全团队的 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2015-6636</li><li>腾讯科恩实验室 (<a href="https://twitter.com/k33nteam">@K33nTeam</a>) 的 Sen Nie (<a href="https://twitter.com/@nforest_">@nforest_</a>) 和 jfang：CVE-2015-6637</li><li>Android Bionic 团队的 Yabin Cui：CVE-2015-6640</li><li>Google X 的 Tom Craig：CVE-2015-6641</li><li>Jann Horn (<a href="https://thejh.net">https://thejh.net</a>)：CVE-2015-6642</li><li>Jouni Malinen PGP id EFC895FA：CVE-2015-5310</li><li>Google 信息安全工程师团队的 Quan Nguyen：CVE-2015-6644</li><li>Gal Beniamini（<a href="https://twitter.com/@laginimaineb">@laginimaineb</a>、<a href="http://bits-please.blogspot.com">http://bits-please.blogspot.com</a>）：CVE-2015-6639</li></ul>

<h2 id="security_vulnerability_details">安全漏洞详情</h2>

<p>我们在下面提供了 2016-01-01 补丁程序级别涵盖的每个安全漏洞的详细信息，其中包括问题描述、严重程度阐释和一个表，该表中包含 CVE、相关 Bug、严重程度、已更新的版本及报告日期。如果有解决相应问题的 AOSP 代码更改记录，我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录，我们还会通过 Bug ID 后面的数字链接到更多 AOSP 参考内容。</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">Mediaserver 中的远程代码执行漏洞</h3>

<p>Mediaserver 中有一些漏洞，当系统对攻击者蓄意创建的媒体文件进行文件和数据处理时，攻击者可以利用这些漏洞破坏内存，并通过 Mediaserver 进程远程执行代码。</p>

<p>受影响的功能是操作系统的核心部分，有多个应用允许通过远程内容（最主要是彩信和浏览器媒体播放）使用该功能。</p>

<p>由于攻击者可以利用该漏洞通过 Mediaserver 服务远程执行代码，因此我们将该漏洞的严重程度评为“严重”。Mediaserver 服务可以访问音频和视频流，还可以获取第三方应用通常无法获取的权限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td rowspan="2">CVE-2015-6636</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/b9f7c2c45c6fe770b7daffb9a4e61522d1f12d51#">ANDROID-25070493</a></td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/e8bfec1fa41eafa1fd8e05d0fdc53ea0f2379518">ANDROID-24686670</a></td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_misc-sd_driver">misc-sd 驱动程序中的提权漏洞</h3>

<p>MediaTek 提供的 misc-sd 驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6637</td>
    <td>ANDROID-25307013*</td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 26 日</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerability_in_the_imagination_technologies_driver">Imagination Technologies 驱动程序中的提权漏洞</h3>

<p>Imagination Technologies 提供的内核驱动程序中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6638</td>
    <td>ANDROID-24673908*</td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerabilities_in_trustzone">TrustZone 中的提权漏洞</h3>

<p>Widevine QSEE TrustZone 应用中有一些提权漏洞，具有 QSEECOM 访问权限的特权应用在遭到入侵后可以利用这些漏洞通过 Trustzone 执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6639</td>
    <td>ANDROID-24446875*</td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 23 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6647</td>
    <td>ANDROID-24441554*</td>
    <td>严重</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 27 日</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerability_in_kernel">内核中的提权漏洞</h3>

<p>内核中有一个提权漏洞，本地恶意应用可以利用该漏洞通过内核执行任意代码。由于攻击者可以利用该漏洞在本地发起永久损坏设备的攻击，而用户可能需要重写操作系统才能修复设备，因此我们将该漏洞的严重程度评为“严重”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6640</td>
    <td><a href="https://android.googlesource.com/kernel%2Fcommon/+/69bfe2d957d903521d32324190c2754cb073be15">ANDROID-20017123</a></td>
    <td>严重</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">蓝牙中的提权漏洞</h3>

<p>蓝牙组件中有一个提权漏洞，已通过蓝牙配对的远程设备可以利用该漏洞访问用户的私密信息（如通讯录）。由于攻击者可以利用该漏洞远程获取“<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a>”权能（只有安装在本地的第三方应用才能获取此类权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6641</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FSettings/+/98f11fd1a4752beed56b5fe7a4097ec0ae0c74b3">ANDROID-23607427</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ccbe7383e63d7d23bac6bccc8e4094fe474645ec">2</a>]</td>
    <td>高</td>
    <td>6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_kernel">内核中的信息披露漏洞</h3>

<p>内核中有一个信息披露漏洞，攻击者可以利用该漏洞绕过系统中为增加攻击者入侵平台的难度而部署的安全措施。由于攻击者可以利用该漏洞使第三方应用获取超出规定的权能（如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 权限），因此我们将该漏洞的严重程度评为“高”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6642</td>
    <td>ANDROID-24157888*</td>
    <td>高</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>2015 年 9 月 12 日</td>
 </tr>
</tbody></table>
<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="elevation_of_privilege_vulnerability_in_setup_wizard">设置向导中的提权漏洞</h3>

<p>设置向导中有一个提权漏洞，实际接触到设备的攻击者可以利用该漏洞获得对设备设置的访问权限并手动执行设备重置操作。由于攻击者可以利用该漏洞以不当方式绕过恢复出厂设置保护机制，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6643</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/665ac7bc29396fd5af2ecfdfda2b9de7a507daa0">ANDROID-25290269</a> [<a href="https://android.googlesource.com/platform/packages/apps/Settings/+/a7ff2e955d2509ed28deeef984347e093794f92b">2</a>]</td>
    <td>中</td>
    <td>5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_wi-fi">WLAN 中的提权漏洞</h3>

<p>WLAN 组件中有一个提权漏洞，本地邻近区域内的攻击者可以利用该漏洞访问与 WLAN 服务相关的信息。仅当攻击者位于本地邻近区域时，才能够利用该漏洞对设备发起攻击。由于攻击者可以利用该漏洞远程获取“<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">normal</a>”权能（只有安装在本地的第三方应用才能获取此类权限），因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-5310</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fwpa_supplicant_8/+/1e9857b5f1dd84ac5a0ada0150b1b9c87d44d99d">ANDROID-25266660</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 25 日</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_bouncy_castle">Bouncy Castle 中的信息披露漏洞</h3>

<p>Bouncy Castle 中有一个信息披露漏洞，本地恶意应用可以利用该漏洞访问用户的私密信息。由于攻击者可以利用该漏洞以不当方式获取“<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">dangerous</a>”权限，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6644</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/3e128c5fea3a0ca2d372aa09c4fd4bb0eadfbd3f">ANDROID-24106146</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_syncmanager">SyncManager 中的拒绝服务漏洞</h3>

<p>SyncManager 中有一个拒绝服务漏洞，本地恶意应用可以利用该漏洞使系统不断重新启动。由于攻击者可以利用该漏洞在本地发起暂时拒绝服务攻击，而用户可能需要将设备恢复出厂设置才能将其修复，因此我们将该漏洞的严重程度评为“中”。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug（附 AOSP 链接）</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6645</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/c0f39c1ece72a05c796f7ba30b7a2b5b580d5025">ANDROID-23591205</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<h3 id="attack_surface_reduction_for_nexus_kernels">减少 Nexus 内核的受攻击面</h3>

<p>所有 Android 内核都不支持 SysV IPC。由于该机制会增加系统的受攻击面，这些受攻击面既无法给系统带来额外的功能，又可能会被恶意应用所利用，因此我们已将该机制从操作系统中移除。此外，由于内存管理器无法释放为该机制分配的资源，而这会导致全局内核资源泄漏，因此 System V IPC 不符合 Android 应用生命周期的要求。这项更改解决了 CVE-2015-7613 等问题。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>Bug</th>
    <th>严重程度</th>
    <th>已更新的版本</th>
    <th>报告日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6646</td>
    <td>ANDROID-22300191*</td>
    <td>中</td>
    <td>6.0</td>
    <td>Google 内部</td>
 </tr>
</tbody></table>

<p>*我们未在 AOSP 中发布针对该问题的补丁程序。<a href="https://developers.google.com/android/nexus/drivers">Google Developers 网站</a>上针对 Nexus 设备提供的最新二进制驱动程序中包含相应更新。</p>

<h3 id="common_questions_and_answers">常见问题和解答</h3>

<p>这一部分解答了用户在阅读本公告后可能会提出的常见问题。</p>

<p><strong>1. 如何确定我的设备是否已通过更新解决这些问题？</strong></p>

<p>安全补丁程序级别为 2016 年 1 月 1 日或更新的 Android L（LMY49F 或更高细分版本）和 Android 6.0 都已解决这些问题。请参阅 <a href="https://support.google.com/nexus/answer/4457705">Nexus 文档</a>，了解如何查看安全补丁程序级别。预装这些更新的设备制造商应将补丁程序字符串级别设为 [ro.build.version.security_patch]:[2016-01-01]</p>

<h2 id="revisions">修订</h2>

<ul>
  <li>2016 年 1 月 4 日：发布了本公告。
  </li><li>2016 年 1 月 6 日：在本公告中添加了 AOSP 链接。
  </li><li>2016 年 4 月 28 日：从“致谢”部分中移除了 CVE-2015-6617，并在摘要表格中添加了 CVE-2015-6647。</li></ul></body></html>